// Code generated by MockGen. DO NOT EDIT.
// Source: gitlab.com/blauwe-knop/vorderingenoverzicht/financial-claim-request-service/pkg/repositories (interfaces: FinancialClaimRequestRepository)
//
// Generated by this command:
//
//	mockgen -destination=./mock_financial_claim_request_repository.go -package=mock gitlab.com/blauwe-knop/vorderingenoverzicht/financial-claim-request-service/pkg/repositories FinancialClaimRequestRepository
//

// Package mock is a generated GoMock package.
package mock

import (
	reflect "reflect"

	healthcheck "gitlab.com/blauwe-knop/common/health-checker/pkg/healthcheck"
	model "gitlab.com/blauwe-knop/vorderingenoverzicht/financial-claim-request-service/pkg/model"
	gomock "go.uber.org/mock/gomock"
)

// MockFinancialClaimRequestRepository is a mock of FinancialClaimRequestRepository interface.
type MockFinancialClaimRequestRepository struct {
	ctrl     *gomock.Controller
	recorder *MockFinancialClaimRequestRepositoryMockRecorder
	isgomock struct{}
}

// MockFinancialClaimRequestRepositoryMockRecorder is the mock recorder for MockFinancialClaimRequestRepository.
type MockFinancialClaimRequestRepositoryMockRecorder struct {
	mock *MockFinancialClaimRequestRepository
}

// NewMockFinancialClaimRequestRepository creates a new mock instance.
func NewMockFinancialClaimRequestRepository(ctrl *gomock.Controller) *MockFinancialClaimRequestRepository {
	mock := &MockFinancialClaimRequestRepository{ctrl: ctrl}
	mock.recorder = &MockFinancialClaimRequestRepositoryMockRecorder{mock}
	return mock
}

// EXPECT returns an object that allows the caller to indicate expected use.
func (m *MockFinancialClaimRequestRepository) EXPECT() *MockFinancialClaimRequestRepositoryMockRecorder {
	return m.recorder
}

// Create mocks base method.
func (m *MockFinancialClaimRequestRepository) Create(configuration model.Configuration) (*model.Configuration, error) {
	m.ctrl.T.Helper()
	ret := m.ctrl.Call(m, "Create", configuration)
	ret0, _ := ret[0].(*model.Configuration)
	ret1, _ := ret[1].(error)
	return ret0, ret1
}

// Create indicates an expected call of Create.
func (mr *MockFinancialClaimRequestRepositoryMockRecorder) Create(configuration any) *gomock.Call {
	mr.mock.ctrl.T.Helper()
	return mr.mock.ctrl.RecordCallWithMethodType(mr.mock, "Create", reflect.TypeOf((*MockFinancialClaimRequestRepository)(nil).Create), configuration)
}

// Delete mocks base method.
func (m *MockFinancialClaimRequestRepository) Delete(id string) (*model.Configuration, error) {
	m.ctrl.T.Helper()
	ret := m.ctrl.Call(m, "Delete", id)
	ret0, _ := ret[0].(*model.Configuration)
	ret1, _ := ret[1].(error)
	return ret0, ret1
}

// Delete indicates an expected call of Delete.
func (mr *MockFinancialClaimRequestRepositoryMockRecorder) Delete(id any) *gomock.Call {
	mr.mock.ctrl.T.Helper()
	return mr.mock.ctrl.RecordCallWithMethodType(mr.mock, "Delete", reflect.TypeOf((*MockFinancialClaimRequestRepository)(nil).Delete), id)
}

// Get mocks base method.
func (m *MockFinancialClaimRequestRepository) Get(id string) (*model.Configuration, error) {
	m.ctrl.T.Helper()
	ret := m.ctrl.Call(m, "Get", id)
	ret0, _ := ret[0].(*model.Configuration)
	ret1, _ := ret[1].(error)
	return ret0, ret1
}

// Get indicates an expected call of Get.
func (mr *MockFinancialClaimRequestRepositoryMockRecorder) Get(id any) *gomock.Call {
	mr.mock.ctrl.T.Helper()
	return mr.mock.ctrl.RecordCallWithMethodType(mr.mock, "Get", reflect.TypeOf((*MockFinancialClaimRequestRepository)(nil).Get), id)
}

// GetHealthCheck mocks base method.
func (m *MockFinancialClaimRequestRepository) GetHealthCheck() healthcheck.Result {
	m.ctrl.T.Helper()
	ret := m.ctrl.Call(m, "GetHealthCheck")
	ret0, _ := ret[0].(healthcheck.Result)
	return ret0
}

// GetHealthCheck indicates an expected call of GetHealthCheck.
func (mr *MockFinancialClaimRequestRepositoryMockRecorder) GetHealthCheck() *gomock.Call {
	mr.mock.ctrl.T.Helper()
	return mr.mock.ctrl.RecordCallWithMethodType(mr.mock, "GetHealthCheck", reflect.TypeOf((*MockFinancialClaimRequestRepository)(nil).GetHealthCheck))
}

// List mocks base method.
func (m *MockFinancialClaimRequestRepository) List() (*[]model.Configuration, error) {
	m.ctrl.T.Helper()
	ret := m.ctrl.Call(m, "List")
	ret0, _ := ret[0].(*[]model.Configuration)
	ret1, _ := ret[1].(error)
	return ret0, ret1
}

// List indicates an expected call of List.
func (mr *MockFinancialClaimRequestRepositoryMockRecorder) List() *gomock.Call {
	mr.mock.ctrl.T.Helper()
	return mr.mock.ctrl.RecordCallWithMethodType(mr.mock, "List", reflect.TypeOf((*MockFinancialClaimRequestRepository)(nil).List))
}

// Update mocks base method.
func (m *MockFinancialClaimRequestRepository) Update(id string, configuration model.Configuration) (*model.Configuration, error) {
	m.ctrl.T.Helper()
	ret := m.ctrl.Call(m, "Update", id, configuration)
	ret0, _ := ret[0].(*model.Configuration)
	ret1, _ := ret[1].(error)
	return ret0, ret1
}

// Update indicates an expected call of Update.
func (mr *MockFinancialClaimRequestRepositoryMockRecorder) Update(id, configuration any) *gomock.Call {
	mr.mock.ctrl.T.Helper()
	return mr.mock.ctrl.RecordCallWithMethodType(mr.mock, "Update", reflect.TypeOf((*MockFinancialClaimRequestRepository)(nil).Update), id, configuration)
}
